質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.23%

railsではまっています・・・

解決済

回答 3

投稿

  • 評価
  • クリップ 0
  • VIEW 10K+

keekeekee

score 27

今週からrailsの勉強を初めました。
今ここを読んで勉強しています。
http://openbook4.me/projects/92/sections/488
railsのインストールも終り、
プロジェクトフォルダの作成までは行けましたが、

rails g controller users index show

というコマンドを打つと

Could not find rake-10.4.2 in any of the sources
Run bundle install to install missing gems.

というエラーが出てしまします。
これはどうすれば解決できるのでしょうか?

誰か教えてください。よろしくお願いいたします。
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 3

checkベストアンサー

+2

sudo bundle install としてみては?

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2014/12/13 23:23

    おっしゃる通りでした!
    無事解決できました!
    素人にアドバイスしていただきありがとうございます!
    これからも精進し人が喜ぶサービスを作れるように頑張りたいと思います!

    キャンセル

+1

文字通り、アプリケーションのrootディレクトリでbundle installとコマンドで入力してみてください。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2014/12/13 13:39

    回答ありがとうございます。
    bundle installとコマンドを入力したら以下のエラーが出てしまいました。

    Gem::FilePermissionError: You don't have write permissions for the /Users/kiyama/.rvm/gems/ruby-2.1.5/bin directory.
    An error occurred while installing rake (10.4.2), and Bundler cannot continue.
    Make sure that `gem install rake -v '10.4.2'` succeeds before bundling.

    Gemをインストールすればいいのでしょうか?

    キャンセル

+1

エラーが出てしまします。 
これはどうすれば解決できるのでしょうか? 

まずは、エラーメッセージの内容を理解することが大事です。

エラーメッセージを google で検索してみると、解決策が見つかることもあります。
今回の場合 なら 
   rails "Run bundle install to install missing gems"
で検索するといろいろな例が見つかります。(文章は " で囲んだほうが良いです。)

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2014/12/12 11:35

    親切にありがとうございます。
    次回からちゃんと調べるようにします。
    文章をかっこった方がいいのは初めて知ったので
    次回から使いたいと思います。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.23%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

関連ワード: could not find rake-10.4.2 in any of the sources